Subject: bug#51292: 27.2; Reversing strings with unicode combining characters

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Oct 2021 04:50:10 +0200

Stefan Kangas <[email-masked]> writes:

> I believe this means that there is no match?  Try removing
> e.g. "-filename:examples.el" and you should see matches again, but all
> of them are for that file.  Add that restriction again, and you see no
> matches.  I think.

There's something very odd going on with that seach.  If I remove
"-filename:examples.el", then I get a bunch of matches from files like
src/gdi/gdiTools.f?  Very odd.

https://github.com/search?q=s-reverse+-filename%3As-tests.el&type=Code

But none of the matches on the first few pages refer to the s.el
s-reverse, so I think the conclusion is the same -- it's not a function
that's actually used for anything.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no